Synaptic message after package install.

Questions about other topics - please check if your question fits better in another category before posting here
Forum rules
Before you post please read how to get help
Post Reply
User avatar
qhris
Level 1
Level 1
Posts: 41
Joined: Fri Dec 16, 2011 8:27 pm

Synaptic message after package install.

Post by qhris »

Hi all,

I have installed Cinnamon 18 64b today and for the most part everything is working ok, but I found something that I do not know about. After I install a package with synaptic it gives me this message;

"W: Can't drop privileges for downloading as file '/root/.synaptic/tmp//tmp_sh' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)"

Does anyone know what this means and if it needs to be corrected? The packages seem to be installed and work, But I have never had this message in previous versions.

Also a big thanks to amd for dropping support for my video card (HD 7860) its only a few years old and you killed it already. Thats twice now that you've screwed me (last time was with my laptop HD 4000 series card) so this week I will buy and install an Nvidia card and our house will be amd free. I have Nvidia cards that are 6 years old that are running fine and still supported........ my rant for today :roll:
JeremyB
Level 20
Level 20
Posts: 11704
Joined: Fri Feb 21, 2014 8:17 am

Re: Synaptic message after package install.

Post by JeremyB »

You synaptic error is just a warning caused by an upstream bug from Debian, from what I read it can be safely ignored
User avatar
qhris
Level 1
Level 1
Posts: 41
Joined: Fri Dec 16, 2011 8:27 pm

Solved... Synaptic message after package install.

Post by qhris »

Thanks Jeremy, I wasn't sure if it was something to worry about or not. Case closed :D
Random12
Level 1
Level 1
Posts: 17
Joined: Mon May 28, 2012 3:44 pm

Re: Synaptic message after package install.

Post by Random12 »

I'm having the same issue. I just upgraded from Linux Mint Mate 17.3 to 18 using mintupgrade.

Now any time I use the update manager to update anything I get messages similar to:
W: Can't drop privileges for downloading as file '/var/cache/apt/archives/partial/init-system-helpers_1.29ubuntu3_all.deb' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)

I've googled around and I see some bug reports and discussion on both Debian and Ubuntu boards.

I guess I have two questions. First, does this having anything to do with mintupgrade. If I had done a fresh Linux Mint Mate 18 install would I have the same issue? Second, some of the Ubuntu boards claim that doing some things with the apt user and permissions can resolve it. Would any of these work for Mint?

I understand that it's just a warning, but it's still pretty annoying. It happens pretty much 100% whenever I update stuff
the update manager tells me has an update.
JeremyB
Level 20
Level 20
Posts: 11704
Joined: Fri Feb 21, 2014 8:17 am

Re: Synaptic message after package install.

Post by JeremyB »

If you want to try the methods that are reported to work, I would make a full backup of your Linux Mint install before proceeding or use the install USB/DVD and see if the error occurs there when using try without installing and see if that fix works.

I have never seen that error and one laptop is LM 18 updated using mintupdate from 17.3 and I have another laptop with Ubuntu 16.04 updated from Ubuntu 15.10
Post Reply

Return to “Other topics”